package fr.jeremylebrun.ld41.core;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.audio.Music;
import com.badlogic.gdx.audio.Sound;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Animation;
import com.badlogic.gdx.graphics.g2d.Animation.PlayMode;
import com.badlogic.gdx.graphics.g2d.TextureRegion;

public abstract class Ressources {

	// Entites 
	public static final Texture TX_PLAYER = new Texture("character/player.png");
	public static final Texture TX_ZOMBI1 = new Texture("character/zombi1.png");
	public static final Texture TX_ZOMBI2 = new Texture("character/zombi2.png");
	public static final Texture TX_ZOMBI3 = new Texture("character/zombi3.png");
	public static final Texture TX_ZOMBI4 = new Texture("character/zombi4.png");
	public static final Texture TX_ZOMBI5 = new Texture("character/zombi5.png");
	
	// Map Item
	public static final Texture TX_ITEM_GUN1 = new Texture("mapItem/gun1.png");
	public static final Texture TX_ITEM_BOX1 = new Texture("mapItem/box1.png");
	public static final Texture TX_ITEM_BOX2 = new Texture("mapItem/box2.png");
	public static final Texture TX_ITEM_MEDKIT = new Texture("mapItem/medkit.png");
	public static final Texture TX_ITEM_HEART = new Texture("mapItem/heart.png");
	public static final Texture TX_ITEM_DOLLARS = new Texture("mapItem/dollars.png");
	
	public static final Texture TX_ITEM_LETTER_B = new Texture("mapItem/letter_B.png");
	public static final Texture TX_ITEM_LETTER_i = new Texture("mapItem/letter_i.png");
	public static final Texture TX_ITEM_LETTER_g = new Texture("mapItem/letter_g.png");
	public static final Texture TX_ITEM_LETTER_b2 = new Texture("mapItem/letter_b2.png");
	public static final Texture TX_ITEM_LETTER_o = new Texture("mapItem/letter_o.png");
	
	// Bullets
	public static final Texture TX_BULLET_GUN1 = new Texture("bullet/gun1.png");

	// Parralax
	public static final Texture TX_PARRALAX_LVL1 = new Texture("parralax/level1_1.png");
	
	// Animations
	public static final Animation<TextureRegion> ANIM_GUN1_IMPACT = Shared.loadAnimation(TextureRegion.split(new Texture("animations/gun1_impact.png"), 16, 16), 4, 0, 0.1f, PlayMode.NORMAL);
	public static final Animation<TextureRegion> ANIM_PLAYER_JUMP = Shared.loadAnimation(TextureRegion.split(new Texture("animations/player_jump.png"), 64, 64), 4, 0, 0.1f, PlayMode.NORMAL);
	public static final Animation<TextureRegion> ANIM_PLAYER_JUMP_LAND = Shared.loadAnimation(TextureRegion.split(new Texture("animations/player_jump_land.png"), 64, 64), 4, 0, 0.1f, PlayMode.NORMAL);
	public static final Animation<TextureRegion> ANIM_GUN1_SHOOT = Shared.loadAnimation(TextureRegion.split(new Texture("animations/gun1_shoot.png"), 64, 64), 4, 0, 0.08f, PlayMode.NORMAL);
	public static final Texture TEXTURE_ANIM_BLOOD = new Texture("animations/blood.png");
	public static final TextureRegion[][] TEXTURE_ZOMBI_FLESH = TextureRegion.split(new Texture("animations/zombi_flesh.png"),32,32);
	
	// Title
	public static final Texture TX_TITLE_BACKGROUND = new Texture("title/background.png");
	public static final Texture TX_TITLE_NEWGAME = new Texture("title/newgame.png");
	public static final Texture TX_TITLE_SCORES = new Texture("title/scores.png");
	public static final Texture TX_TITLE_QUIT = new Texture("title/quit.png");

	// Endgame
	public static final Texture TX_EG_BACKGROUND = new Texture("endgame/background.png");
	public static final Texture TX_EG_KILL = new Texture("endgame/kill.png");

	
	// HUD
	public static final Texture TX_HUD_LIFE_FULL = new Texture("hud/heart_full.png");
	public static final Texture TX_HUD_LIFE_EMPTY = new Texture("hud/heart_empty.png");
	public static final Texture TX_GAMEOVER = new Texture("hud/gameover.png");

	
	// Sounds
	public static final Sound SOUND_JUMP =Gdx.audio.newSound(Gdx.files.internal("sounds/jump.wav"));
	public static final Sound SOUND_JUMP_LAND =Gdx.audio.newSound(Gdx.files.internal("sounds/jump_land.wav"));
	public static final Sound SOUND_PICKUP =Gdx.audio.newSound(Gdx.files.internal("sounds/pickup.wav"));
	public static final Sound SOUND_SHOOT =Gdx.audio.newSound(Gdx.files.internal("sounds/shoot.wav"));
	public static final Sound SOUND_SHOOT_IMPACT =Gdx.audio.newSound(Gdx.files.internal("sounds/shoot_impact.wav"));
	public static final Sound SOUND_SHOOT_HIT =Gdx.audio.newSound(Gdx.files.internal("sounds/shoot_hit.wav"));
	public static final Sound SOUND_SHOOT_EXPLODE_BOX =Gdx.audio.newSound(Gdx.files.internal("sounds/shoot_explode_box.wav"));
	public static final Sound SOUND_SHOOT_DIE =Gdx.audio.newSound(Gdx.files.internal("sounds/shoot_die.wav"));
	public static final Sound SOUND_SELEC =Gdx.audio.newSound(Gdx.files.internal("sounds/selec.wav"));
	public static final Sound SOUND_ERROR =Gdx.audio.newSound(Gdx.files.internal("sounds/error.wav"));
	public static final Sound SOUND_BIP =Gdx.audio.newSound(Gdx.files.internal("sounds/bip.wav"));
	public static final Sound SOUND_HURT =Gdx.audio.newSound(Gdx.files.internal("sounds/player_hurt.wav"));
	public static final Sound SOUND_JUMP_FAIL =Gdx.audio.newSound(Gdx.files.internal("sounds/jump_fail.wav"));
	
	// MUSICS
	public static final Music MUSIC_01 = Gdx.audio.newMusic(Gdx.files.internal("music/main.mp3"));

}
