package fr.jeremylebrun.ld41.entities;

import com.badlogic.gdx.graphics.g2d.TextureRegion;

import fr.jeremylebrun.ld41.core.Shared;
import fr.jeremylebrun.ld41.menus.GameMenu;

public class EnemiFlesh extends Entity{

	protected TextureRegion currentFrame;
	protected float dx, dy;
	protected int duration;
	protected int duration2;
	protected boolean blood;
	
	
	public EnemiFlesh(float x, float y, int level, TextureRegion currentFrame, boolean move, boolean blood) {
		super(x, y,16,16,level);
		if(move){
			this.dx = (float) ((Math.random()*3)-1.5);
			this.dy = (float) ((Math.random()*3)-1.5);
			
		}else{
			this.dx = 0;
			this.dy = 0;
		}
		duration =(int)(Math.random()*32+16);
		duration2 =(int)(Math.random()*128+64);
		if(!move){
			duration2 = 4*duration2;
		}
		
		this.blood = blood;
		this.currentFrame = currentFrame;
		
		
	}
	
	public void update(GameMenu game){
		if(!destroy) {
			if(duration>0){
				duration--;
				if(game.getMap().canMove(this, dx, dy, true,false)){
					x+=dx;
					y+=dy;
					if(blood && Math.random()<0.35){
						game.getTmpLayerEntities(level).add(new SimpleAnimation(x-8,y-8,16,16,level,Shared.BLOOD_ANIMATIONS[(int) (Math.random()*8)]));
					}
				}else {
					duration--;
				}
			}else if(duration2>0){
				duration2--;
				if(duration2 <=0) {
					destroy = true;
				}
			}
		}
		
	}
	
	public void render(GameMenu game){
		if(!destroy) {
			if(duration2<15){
				Shared.GAME_BATCH.setColor(1, 1, 1, 0.75f);
			}else if(duration2<10){
				Shared.GAME_BATCH.setColor(1, 1, 1, 0.5f);
			}else if(duration2<5){
				Shared.GAME_BATCH.setColor(1, 1, 1, 0.25f);
			}
			Shared.GAME_BATCH.draw(currentFrame, x-(width/2),y-(height/2));
			Shared.GAME_BATCH.setColor(1, 1, 1,1f);
		}
	

	}
	
	public boolean isFinish(){
		return duration<=0 && duration2<=0;
	}

}
