package fr.jeremylebrun.ld41.entities;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Animation;
import com.badlogic.gdx.graphics.g2d.TextureRegion;

import fr.jeremylebrun.ld41.core.Ressources;
import fr.jeremylebrun.ld41.core.Shared;
import fr.jeremylebrun.ld41.entities.Entity;
import fr.jeremylebrun.ld41.menus.GameMenu;

public class GameAnimation extends Entity {

	private GameAnimationType gameAnimation;
	private Animation<TextureRegion> animation;
	private float statetime;
	private float rotation;
	
	public GameAnimation(GameAnimationType gameAnimation, float x, float y, float width, float height, int level, float rotation) {
		super(x, y, width, height, level);
		this.gameAnimation = gameAnimation;
		if(gameAnimation == GameAnimationType.GUN1_IMPACT) {
			animation = Ressources.ANIM_GUN1_IMPACT;
		}else if(gameAnimation == GameAnimationType.PLAYER_JUMP){
			animation = Ressources.ANIM_PLAYER_JUMP;
		}else if(gameAnimation == GameAnimationType.GUN1_SHOOT){
			animation = Ressources.ANIM_GUN1_SHOOT;
		}else if(gameAnimation == GameAnimationType.PLAYER_JUMP_LAND){
			animation = Ressources.ANIM_PLAYER_JUMP_LAND;
		}
		else {
			animation = Ressources.ANIM_GUN1_IMPACT;
		}
		this.rotation = rotation;
	}
	
	/**
	 * Dessine l'entite
	 * @param game
	 */
	public void render(GameMenu game) {
		if(!destroy) {
			Shared.GAME_BATCH.draw(animation.getKeyFrame(statetime), (int)(x-(width/2)),(int)(y-(height/2)),(width/2),(height/2),width,height,1,1,(int)rotation);
			statetime += Gdx.graphics.getDeltaTime(); 

		}
		
	}


	/**
	 * Dessine l'entiteGameAnimationType
	 * @param game
	 */
	public void update(GameMenu game) {
		if(!destroy) {
			if(animation.isAnimationFinished(statetime)) {
				destroy = true;
			}
		}
	}
	

}
