package fr.jeremylebrun.ld41.entities;

import com.badlogic.gdx.graphics.Texture;import com.badlogic.gdx.graphics.g2d.PixmapPacker.GuillotineStrategy;
import com.badlogic.gdx.math.Vector2;

import fr.jeremylebrun.ld41.core.Ressources;
import fr.jeremylebrun.ld41.core.Shared;
import fr.jeremylebrun.ld41.menus.GameMenu;

public class PlayerBullet extends Entity{

	private int bulletLevel;
	private float dx, dy;
	private float rotation;
	
	public PlayerBullet(float x, float y,  int level, float dx, float dy, int gunLevel, float rotation) {
		super(x, y, gunLevel==1?8:16, gunLevel==1?8:16, level);
		this.bulletLevel = gunLevel;
		this.dx = dx;
		this.dy = dy;
		this.rotation = rotation;
		
		this.lstCollisions.add(new Vector2(x-3,y-3));
		this.lstCollisions.add(new Vector2(x-3,y+3));
		this.lstCollisions.add(new Vector2(x+3,y-3));
		this.lstCollisions.add(new Vector2(x+3,y+3));
	}
	
	/**
	 * Dessine l'entite
	 * @param game
	 */
	public void render(GameMenu game) {
		if(!destroy) {
			Shared.GAME_BATCH.draw(getTexture(), (int)(x-(width/2)),(int)(y-(height/2)));
		}
	}

	/**
	 * Dessine l'entite
	 * @param game
	 */
	public void renderDebug(GameMenu game) {
		
	}

	/**
	 * Dessine l'entite
	 * @param game
	 */
	public void update(GameMenu game) {
		if(!destroy) {
			if(game.getPlayer().toFarFromPlayer(this)) {
				this.destroy = true;
				return;
			}
			
			if(!game.getMap().canMove(this, dx, dy,true,false)) {
				Ressources.SOUND_SHOOT_IMPACT.play();
				destroyByContact(game);
				return;
			}
			this.absoluteMove(game, dx, dy);
		}
	}
	
	public void destroyByContact(GameMenu game) {
		this.destroy = true;
		game.getTmpLayerEntities(level).add(new GameAnimation(getImpactAnimationType(), x, y, 16, 16, bulletLevel,rotation));
	}
	
	private Texture getTexture() {
		if(bulletLevel ==1) {
			return Ressources.TX_BULLET_GUN1;
		}
		return Ressources.TX_BULLET_GUN1;
	}
	
	private GameAnimationType getImpactAnimationType() {
		if(bulletLevel == 1) {
			return GameAnimationType.GUN1_IMPACT;
		}
		return null;
	}

}
