package fr.jeremylebrun.ld41.map;

import com.badlogic.gdx.graphics.Texture;

import fr.jeremylebrun.ld41.core.Shared;
import fr.jeremylebrun.ld41.menus.GameMenu;

public class ParralaxMap {

	private float x,y;
	private float ratioX, ratioY;
	private int width, height;
	private Texture texture;

	/**
	 * Initialise l'entite
	 * @param game
	 */
	public ParralaxMap(GameMenu game, Texture texture, int width, int height, float initX, float initY, float ratioX, float ratioY) {
		this.init(game, texture, width, height, initX, initY, ratioX, ratioY);
	}

	/**
	 * Initialise l'entite
	 * @param game
	 */
	public void init(GameMenu game, Texture texture, int width, int height,  float initX, float initY, float ratioX, float ratioY) {
		this.x = initX;
		this.y = initY;
		this.width = width;
		this.height = height;
		this.texture = texture;
		this.ratioX = ratioX;
		this.ratioY = ratioY;
	}


	/**
	 * Dessine l'entite
	 * @param game
	 */
	public void render(GameMenu game) {
		Shared.GAME_BATCH.draw(texture, (int)x,(int)y);
		Shared.GAME_BATCH.draw(texture, (int)x,(int)(y+height));
	}


	/**
	 * Dessine l'entite
	 * @param game
	 */
	public void update(GameMenu game) {
//		System.out.println("X="+x +"Y="+y);
//		System.out.println("ECART = "+(game.camera.position.y - y));

	}

	public void move(GameMenu game, float dx, float dy) {
		this.x += dx*ratioX;
		this.y += dy*ratioY;
		

	}


}
