package fr.jeremylebrun.ld41.menus;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;

import fr.jeremylebrun.ld41.core.Game;
import fr.jeremylebrun.ld41.core.Ressources;
import fr.jeremylebrun.ld41.core.Shared;


public class TitleMenu implements Menu{

	private float statetime = 0f;
	private int mode;
	
	public TitleMenu(){
	}
	
	
	public void init(Game g) {
		
	}

	public void update(Game game){
		
		
		if(Gdx.input.isKeyJustPressed(Keys.SPACE) || Gdx.input.isKeyJustPressed(Keys.ENTER) ){
			if(mode == 0){
				Ressources.SOUND_SELEC.play();
				game.goToGameMenu();
			}else if(mode == 1){
				Ressources.SOUND_ERROR.play();
			}else{
				Gdx.app.exit();
			}
		}
		if(Gdx.input.isKeyJustPressed(Keys.DOWN)){
			if(mode < 2){
				mode++;
				Ressources.SOUND_BIP.play();
			}else{
				Ressources.SOUND_ERROR.play();
			}
		}else if(Gdx.input.isKeyJustPressed(Keys.UP)){
			if(mode>0){
				mode--;
				Ressources.SOUND_BIP.play();
			}else{
				Ressources.SOUND_ERROR.play();
			}
		}
	}
	
	public void render(Game game){
		statetime += Gdx.graphics.getDeltaTime(); 
		Shared.MENU_BATCH.begin();
		Shared.MENU_BATCH.draw(Ressources.TX_TITLE_BACKGROUND, 0,0);
		Shared.MENU_BATCH.draw(mode==0?Ressources.TX_TITLE_NEWGAME:mode==1?Ressources.TX_TITLE_SCORES:Ressources.TX_TITLE_QUIT, 0,0);
		
		Shared.MENU_BATCH.end();
	}
}
